--[[
 <Dispell Alert : This addon allows you to alert you when there is a spell that affects you yourself!>
    Copyright (C) <2018>  <Caron Sébastien>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see http://www.gnu.org/licenses.
]]
--nameSpace
local _, ns = ...
--variables
local font = nil

--[[UI]]
--Create frame
local uiFrame = CreateFrame("Frame","Dispell_Alert",UIParent,"Cs_Item")--BaseBasicFrameTemplate
--uiFrame:SetSize(260,280)
uiFrame:SetMovable(true)
uiFrame:EnableMouse(true)
uiFrame:RegisterForDrag("LeftButton")
uiFrame:RegisterEvent("UNIT_AURA")
uiFrame:SetPoint("TOP",UIParent,"TOP",0,-20)
--add texture in frame
local tex = uiFrame:CreateTexture(nil,"BACKGROUND")
tex:SetAllPoints()
uiFrame:Hide()
tex:SetColorTexture(0,0,0,0)
-----------------------------------------------

--title
uiFrame.title = uiFrame:CreateFontString("title","OVERLAY")
uiFrame.title:SetFontObject("GameFontHighLightLarge")
font = uiFrame.title:GetFont()
uiFrame.title:SetFont(font,36,"")
uiFrame.title:SetTextColor(1,0,0,1)
uiFrame.title:SetPoint("TOP",uiFrame,"TOP",0,-15)
uiFrame.title:SetText("DISPELL")
------------------------------------------------

--name title
uiFrame.name = uiFrame:CreateFontString(nil,"OVERLAY")
uiFrame.name:SetFontObject("NumberFontNormalYellow")
uiFrame.name:SetPoint("LEFT",uiFrame,"LEFT",10,50)
uiFrame.name:SetText("Name :")
------------------------------------------------

--name dispell
uiFrame.nameDispell = uiFrame:CreateFontString(nil, "OVERLAY")
uiFrame.nameDispell:SetFontObject("GameFontRed")
uiFrame.nameDispell:SetPoint("LEFT",uiFrame,"LEFT",10,30)
uiFrame.nameDispell:SetText('Name a "dispell"')
------------------------------------------------

--caster name title
uiFrame.nameCaster = uiFrame:CreateFontString(nil, "OVERLAY")
uiFrame.nameCaster:SetFontObject("NumberFontNormalYellow")
uiFrame.nameCaster:SetPoint("LEFT",uiFrame,"LEFT",10,5)
uiFrame.nameCaster:SetText("Name Caster :")
-----------------------------------------------

--caster name dispell
uiFrame.nameCasterDispell = uiFrame:CreateFontString(nil, "OVERLAY")
uiFrame.nameCasterDispell:SetFontObject("GameFontRed")
uiFrame.nameCasterDispell:SetPoint("LEFT",uiFrame,"LEFT",10,-15)
uiFrame.nameCasterDispell:SetText('Name a Caster "Dispell"')
-----------------------------------------------

--icon dispell
uiFrame.icon = uiFrame:CreateTexture(nil,"OVERLAY")
uiFrame.icon:SetSize(90,90)
uiFrame.icon:SetTexture("Interface\\ICONS\\Ability_Druid_Eclipse")
uiFrame.icon:SetPoint("RIGHT",uiFrame,"RIGHT",-15,15)
--uiFrame.icon:SetAllPoints()
--uiFrame.icon:SetColorTexture(0,0,0,1)
----------------------------------------------

-- Create target
local uiTarget = CreateFrame("Frame","Dispell_Alert",UIParent,"Cs_target")
uiTarget:SetMovable(true)
uiTarget:EnableMouse(true)
uiTarget:RegisterForDrag("LeftButton")
uiTarget:SetPoint("LEFT","TargetFrame","LEFT",100,-100)
uiTarget:RegisterEvent("PLAYER_TARGET_CHANGED")
uiTarget:RegisterEvent("UNIT_AURA")
--add texture in frame
local t = uiTarget:CreateTexture(nil,"BACKGROUND")
t:SetAllPoints()
t:SetColorTexture(0,0,0,0)
uiTarget:Hide()


--icon target dispell
uiTarget.icon = uiTarget:CreateTexture(nil,"OVERLAY")
uiTarget.icon:SetSize(50,50)
uiTarget.icon:SetTexture("Interface\\ICONS\\Ability_Druid_Eclipse")
uiTarget.icon:SetPoint("RIGHT",uiTarget,"RIGHT",-10,0)

--dispell
--title
uiTarget.title = uiTarget:CreateFontString(nil,"OVERLAY")
uiTarget.title:SetFontObject("GameFontHighLightLarge")
font = uiTarget.title:GetFont()
uiTarget.title:SetFont(font,18,"")
uiTarget.title:SetTextColor(1,0,0,1)
uiTarget.title:SetPoint("LEFT",uiTarget,"LEFT",15,0)
uiTarget.title:SetText("DISPELL")

--info dispell
uiTarget.info = uiTarget:CreateFontString(nil,"OVERLAY")
uiTarget.info:SetFontObject("GameFontHighLightLarge")
font = uiTarget.info:GetFont()
uiTarget.info:SetFont(font,12,"")
uiTarget.info:SetTextColor(1,0,0,1)
uiTarget.info:SetPoint("LEFT",uiTarget,"LEFT",20,-20)
uiTarget.info:SetText("Offensive")

--add nameSpace frame
ns.uiFrame = uiFrame
ns.uiTarget = uiTarget
